Name:           perl-Algorithm-Cron
Version:        0.10
Release:        3%{?dist}
Summary:        Abstract implementation of the cron(8) scheduling algorithm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Algorithm-Cron/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/Algorithm-Cron-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Time::timegm)
# Tests
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Objects in this class implement a time scheduling algorithm such as used by
cron(8). Objects are stateless once constructed, and represent a single
schedule as defined by a crontab(5) entry. The object implements a method
next_time which returns an epoch timestamp value to indicate the next time
included in the crontab schedule.

%prep
%setup -q -n Algorithm-Cron-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-2
- Perl 5.22 rebuild

* Mon Jun 01 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-1
- 0.10 bump

* Wed Mar 25 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.09-1
- Initial release
